Subject: Re: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: martin rudalics <[email-masked]>
Date: Fri, 16 Jan 2015 10:28:09 +0100

> This happens to me all the time, but I don't recommend losing any
 > sleep over it.  It's very easy to delete the unwanted buffers (e.g.,
 > via "C-x C-b").  One does such cleanup anyway, when one finishes
 > working on some issue, right?

Till then they will show up, for example, via `previous-buffer'.

 > Emacs copes with many buffers just fine, so I wouldn't invest any
 > significant energy in getting rid of some of them using some
 > heuristics that will certainly misfire at some point.  Emacs should
 > only automatically kill buffers that it creates for its temporary
 > jobs, not buffers created by user commands.

It wouldn't kill them automatically but only optionally, via a special
command or a prefix.  Less heuristic than `clean-buffer-list' at least.

martin